# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

# Path to your oh-my-zsh installation.
export ZSH="$HOME/.oh-my-zsh"

# ZSH theme
ZSH_THEME="powerlevel10k/powerlevel10k"

# Plugins settings
plugins=(
	git
	zsh-autosuggestions
  zsh-fzf-history-search
)


source $ZSH/oh-my-zsh.sh

# Custom aliases
alias nvimzsh="nvim ~/.zshrc"
# alias ls="ls -l"
# alias ohmyzsh="mate ~/.oh-my-zsh"
alias ssh134="ssh astra@172.16.122.134"
alias ssh21="ssh astra@10.10.14.21"
alias ssh129="ssh astra@10.11.12.129"
alias vpsz="ssh root@185.241.55.216 -p 2244"
alias remote_sup="ssh t0xa@172.31.142.197"
alias remote_astra="ssh t0xa@172.31.142.191"
alias remote_debian="ssh t0xa@172.31.142.30 -A"
alias vpnz="sudo ss-local -v -c /etc/shadowsocks-libev/config.json"
alias vu="nmcli connection up arch81"
alias vd="nmcli connection down arch81"
# To customize prompt, run `p10k configure` or edit ~/.p10k.zsh.
[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh
export PATH=$PATH:/usr/local/go/bin
export PATH=$PATH:/opt/Telegram
export PATH=$PATH:/opt/Compass\ On-premise/compassonpremise
export PATH=$PATH:/home/user/Apps/Postman/app
export PATH=$PATH:/home/user/Apps/
export PATH=$PATH:/home/user/Applications/
export PATH=$PATH:/home/user/.nimble/bin
# Add LATEX to path
export PATH=$PATH:/usr/local/texlive/2025/bin/x86_64-linux
# Additional LATEX paths
export MANPATH=$PATH:/usr/local/texlive/2025/texmf-dist/doc/man
export INFOPATH=$PATH:/usr/local/texlive/2025/texmf-dist/doc/info

export LC_CTYPE=en_US.UTF-8
export LC_ALL=en_US.UTF-8
export OBSIDIAN_NOTES_PATH="/home/user/Documents/t0xa_vault"

# Change systemd editor
export SYSTEMD_EDITOR=vim

bindkey -v
bindkey '^R' fzf_history_search
# Bind zsh-autosuggestions key
bindkey '^Y' autosuggest-accept

export PYENV_ROOT="$HOME/.pyenv"
[[ -d $PYENV_ROOT/bin ]] && export PATH="$PYENV_ROOT/bin:$PATH"
eval "$(pyenv init - zsh)"

[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh

. "$HOME/.local/bin/env"
export PATH=~/.npm-global/bin:$PATH
export NVIM_LOG_LEVEL=WARN
